.\"
.\" XStarRoll Copyright (c) 1998 Sakai Hiroaki.
.\" All Rights Reserved.
.\"
.\" XStarRoll is a simple demonstration program for X11. Letters and pixmaps
.\" fly to far, far, far away. You can fly optional letters and pixmaps, and
.\" use XStarRoll as a background picture.
.\"
.\" XStarRoll is a free software. You may copy or distribute the original
.\" XStarRoll freely. But, you may not modify or distribute the original
.\" XStarRoll without permission of the author.
.\"
.TH XSTARROLL 1 "Release 6" "X Version 11"
.SH NAME
XStarRoll - Letters fly to far, far, far away.
.SH SYNOPSIS
.B xstarroll
[parameter1] [parameter2] ...
.SH DESCRIPTION
XStarRoll is a simple demonstration program for X11. Letters and pixmaps fly to far, far, far away. You can fly optional letters and pixmaps, and use XStarRoll as a background picture.
.sp
If a parameter is a pixmap filename, XStarRoll reads it and flies the pixmap, or, if the parameter is a text filename, XStarRoll reads it and flies letters in it, or else, xstarroll flies the parameter as it is.
.sp
You can send letters to XStarRoll through the standard input.
.SH OPTIONS
(X-ToolKit Options)
.br
-display, -geometry, -name, -font, -fg and -bg are available.
.sp
--
.br
End of options. XStarRoll ignores following options.
.sp
-
.br
Read letters from the standard input.
.sp
-help, -h
.br
Output this Message.
.sp
-root, -r
.br
Draw the picture on the root window of the display.
.sp
-noroot, -nr
.br
Open a new window and draw the picture on it. (Default)
.sp
-quit, -q
.br
Draw the picture and exit.
.sp
-noquit, -nq
.br
XStarRoll does not exit. (Default)
.sp
-blur, -b
.br
Letters fly to the farther, become the more blurred. (Default)
.sp
-noblur, -nb
.br
Letters do not become blurred.
.sp
-fill
.br
Fill all dots entirely.
.sp
-source-width [x], -sw [x]
.br
Specify the width of the source picture for a pixel.
.sp
-width [x], -w [x]
.br
Specify the width of the source picture for a letter. Default value is 40.
.sp
-length-x [x], -lx [x]
.br
Specify the length parameter of X-direction for drawing. Default value is same as the size of the source picture.
.sp
-length-y [x], -ly [x]
.br
Specify the length parameter of Y-direction for drawing. Default value is 100.
.sp
-space [x], -sp [x]
.br
Specify the space between lines. Default value is 1.
.sp
-scroll [x], -sc [x]
.br
Specify the speed and direction of the scroll. Default value is 1.
.sp
-start [x], -st [x]
.br
Specify the start point. Default value is 0.
.sp
-wait [x], -wt [x]
.br
Specify the wait time for a micro second. Default value is 0.
.SH KEY OPERATIONS
[Up], [Down], [Right], [Left]
.br
Change the length parameters for drawing.
.sp
[a], [d]
.br
Change the speed of the scroll.
.sp
[p], [n], [PageUp], [PageDown]
.br
Scroll the picture.
.sp
[s]
.br
Return to the start point.
.sp
[q]
.br
Quit.
.SH EXAMPLES
% ls -l | xstarroll
.br
- XStarRoll flies the output of ls.
.sp
% echo "This is XStarRoll." | xstarroll
.br
% xstarroll "This is XStarRoll."
.br
- XStarRoll flies "This is XStarRoll.".
.sp
% echo "is" | xstarroll "This" - "XStarRoll."
.br
- XStarRoll flies "This", "is" and "XStarRoll.".
.sp
% xstarroll sample.txt
.br
- XStarRoll flies letters in a file "sample.txt".
.sp
% xstarroll sample.xpm
.br
- XStarRoll flies a pixmap "sample.xpm".
.sp
% xstarroll "This is XStarRoll." sample1.txt sample1.xpm sample2.txt sample2.xpm ...
.br
- XStarRoll flies "This is XStarRoll.", flies letters in a file sample1.txt, flies a pixmap sample1.xpm, flies letters in a file sample2.txt, flies a pixmap sample2.xpm ...
.sp
If the head of letters is a Tab code or "#center", XStarRoll flies letters at the center of the screen.
.SH SEE ALSO
X(1)
.SH AUTHOR
Programed by Sakai Hiroaki.
.br
E-Mail:sakai@miya.ee.kagu.sut.ac.jp
.br
http://wwwmiya.ee.kagu.sut.ac.jp/~sakai/myfreesoft.html
.SH COPYRIGHT
XStarRoll Copyright (c) 1998 Sakai Hiroaki.
.br
All Rights Reserved.
.sp
XStarRoll is a free software. You may copy or distribute the original XStarRoll freely. But, you may not modify or distribute the original XStarRoll without permission of the author.
